# $Id: perl-Unicode-MapUTF8.spec 2984 2005-03-10 04:45:44Z dag $
# Authority: dag

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Unicode-MapUTF8

Summary: Unicode-MapUTF8 (Conversions to and from arbitrary character sets and UTF8) module for perl
Name: perl-Unicode-MapUTF8
Version: 1.09
Release: 1.rf
License: GPL or Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Unicode-MapUTF8/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Unicode/Unicode-MapUTF8-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 0:5.8.0
Requires: perl >= 0:5.8.0

%description
Unicode-MapUTF8 (Conversions to and from arbitrary character sets and UTF8) module for perl.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc MANIFEST README
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/Unicode/
%{perl_vendorlib}/Unicode/MapUTF8.pm

%changelog
* Tue May 31 2005 Dag Wieers <dag@wieers.com> - 1.09-1 - 2984+/dag
- Fixed package. (Kovacs Janos)

* Wed Jan 21 2004 Dag Wieers <dag@wieers.com> - 1.09-0
- Initial package. (using DAR)
